package com.heyu.api.data.dao.system;
/**
* <p>
* 自定义命令和u3d动作绑定表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.system.SystemTalkBindU3dEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface SystemTalkBindU3dDao extends BaseMapper<SystemTalkBindU3dEntity> {


	SystemTalkBindU3dEntity selectSystemTalkBindU3dById(@Param("id")Long id);


	Long insertSystemTalkBindU3d(SystemTalkBindU3dEntity systemTalkBindU3d);


	Long insertOrUpdateSystemTalkBindU3d(SystemTalkBindU3dEntity systemTalkBindU3d);


	int updateSystemTalkBindU3dById(SystemTalkBindU3dEntity systemTalkBindU3d);


	int updateCoverSystemTalkBindU3dById(SystemTalkBindU3dEntity systemTalkBindU3d);


	int deleteSystemTalkBindU3dById(@Param("id")Long id);


}